script: zq -f tzng -j types.json "every 24h count()" in.ndjson > http.tzng

inputs:
  - name: in.ndjson
    data: |
        {"ts":"2015-03-05T14:25:14.419939Z","_path":"ts"}
  - name: types.json
    data: |
        {
          "descriptors": {
            "ts_log": [
              {
                "name": "_path",
                "type": "string"
              },
              {
                "name": "ts",
                "type": "time"
              }
              ]
             },
          "rules": [
            {
              "name": "_path",
              "value": "ts",
              "descriptor": "ts_log"
            }
          ]
        }

outputs:
  - name: http.tzng
    data: |
        #0:record[ts:time,count:uint64]
        0:[1425513600;1;]
